/*------------------------------------------------------------------------*/
/* Program defines for WRTRSAMP.C (the PC Support/400 sample program      */
/* for the Windows Router API)
/*------------------------------------------------------------------------*/
#define LL_HDR                 2          /* An LL header is 2 bytes long */
#define MAX_CONVERSATIONS     32
#define GOOD_DATA              0
#define BAD_LENGTH            -2
 
#define IDM_ABOUT            200
#define IDM_EXIT             201
#define IDM_RCVIMMED         205
#define IDM_CONFIRM          206
#define IDM_CONFIRMED        207
#define IDM_FLUSH            208
#define IDM_REQUEST          209
#define IDM_SENDERROR        211
#define IDM_ALLOCATE         212
#define IDM_EXTALLOCATE      213
#define IDM_DEALLOCATE       214
#define IDM_GETATTRIBUTES    215
#define IDM_PREPARETORECEIVE 216
#define IDM_RECEIVEANDWAIT   217
#define IDM_GETDEFAULTSYSTEM 219
#define IDM_ROUTERLOADED     220
#define IDM_GETCAPABILITIES  221
#define IDM_QUERYSYSTEMS     222
#define IDM_A2E              223
#define IDM_E2A              224
#define IDM_TAKEMEMORY       225
#define IDM_RESTOREMEMORY    226
#define IDM_DOSAVAILABLE     227
#define IDM_QUERYCONVSTATE   228
#define IDM_QUERYUSERID      229
 
#define IDM_PATTERN1         230
#define IDM_PATTERN2         231
#define IDM_PATTERN3         232
#define IDM_PATTERN4         233
#define IDM_PATTERN5         234
#define IDM_PATTERN6         235
#define IDM_PATTERN7         236
#define IDM_PATTERN8         237
#define IDM_CUSTOMPATTERN    238
 
#define IDM_PATTERN1R        240
#define IDM_PATTERN2R        241
#define IDM_PATTERN3R        242
#define IDM_PATTERN4R        243
#define IDM_PATTERN5R        244
#define IDM_PATTERN6R        245
#define IDM_PATTERN7R        246
#define IDM_PATTERN8R        247
 
#define IDM_PATTERN1RW       250
#define IDM_PATTERN2RW       251
#define IDM_PATTERN3RW       252
#define IDM_PATTERN4RW       253
#define IDM_PATTERN5RW       254
#define IDM_PATTERN6RW       255
#define IDM_PATTERN7RW       256
#define IDM_PATTERN8RW       257
#define IDM_CUSTOMPATTERNRW  258
#define IDM_CUSTOMPATTERNRI  259
 
#define IDM_FLIPSTATE        261
#define IDM_RESTORESTATE     262
#define IDM_SETCONVID        270
 
#define IDM_QUERYFULLSYSTEMS 271
 
#define IDM_DEBUG            272
 
#define BOX_FULLSYSPRES      300
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Allocate Dialog box                   */
/*------------------------------------------------------------------------*/
#define IDE_COMMBUFF    701
#define IDE_SYNCNONE    702
#define IDE_SYNCCONFIRM 703
#define IDE_TPNAME      704
#define IDE_PIPDATA     705
#define IDE_HOSTNAME    706
#define IDE_EXTENDED    708
#define IDE_REAL        709
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Extended Allocate Dialog box          */
/*------------------------------------------------------------------------*/
#define IDM_EXT_USERID   602
#define IDM_EXT_PASS     603
#define IDM_EXT_MODE     604
#define IDM_EXT_NONE     607
#define IDM_EXT_SAME     608
#define IDM_EXT_PGM      609
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Deallocate Info Box                   */
/*------------------------------------------------------------------------*/
#define IDC_SYNCHLEVEL   100
#define IDC_FLUSH        101
#define IDC_ABEND        102
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Custom Data Box                       */
/*------------------------------------------------------------------------*/
#define ID_BYTETOTAL     128
#define ID_LL1NUM        129
#define ID_LL1SIZE       135
#define ID_LL1START      139
#define ID_LL2NUM        130
#define ID_LL2SIZE       136
#define ID_LL2START      140
#define ID_LL3NUM        131
#define ID_LL3SIZE       137
#define ID_LL3START      141
#define ID_LL4NUM        132
#define ID_LL4SIZE       138
#define ID_LL4START      142
#define ID_MEMLOCEXT     198
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Custom Receive Box                    */
/*------------------------------------------------------------------------*/
#define ID_LLNUMBER      108
#define ID_LLSIZE        111
#define ID_MEMLOCEXT     198
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Query Systems Box                     */
/*------------------------------------------------------------------------*/
#define ID_SYSLISTBOX    101
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for LISTCONV Data Box (select convid)     */
/*------------------------------------------------------------------------*/
#define ID_NEWCLISTBOX   103
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Memory Location Box                   */
/*------------------------------------------------------------------------*/
#define ID_EXTENDED      101
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Query Userid box                      */
/*------------------------------------------------------------------------*/
#define IDC_SNAME        304
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for Take Memory box                       */
/*------------------------------------------------------------------------*/
#define IDM_AMOUNT_TO_TAKE   105
#define MIN_MEM               16    /* Min mem to check for (1 paragraph) */
#define MAX_MEM          0xA0000    /* Max mem to check for (640K)        */
 
/*------------------------------------------------------------------------*/
/* Field and button definitions for ASCII to EBCDIC box                   */
/*------------------------------------------------------------------------*/
#define ID_A2ETEXT       100
 
/*------------------------------------------------------------------------*/
/* Prototyping Statements                                                 */
/*------------------------------------------------------------------------*/
 
BOOL Init(HANDLE hInstance,   HANDLE hPrevInstance,
          LPSTR  lpszCmdLine, int    CmdShow);
 
int  DoMain(HANDLE hInstance);
void CleanUp(void);
 
DWORD  FAR PASCAL GlobalDosAlloc(DWORD);   /* These were not included in  */
WORD   FAR PASCAL GlobalDosFree(WORD);     /*   WINDOWS.H                 */
 
long FAR PASCAL OverlappedWindowProc1 (HWND     hWnd,
                                       unsigned msgID,
                                       WORD     wParam,
                                       LONG     lParam);
 
BOOL FAR PASCAL AllocateInfoDlgProc (HWND     hWnd,
                                     unsigned wMsgID,
                                     WORD     wParam,
                                     LONG     lParam);
 
BOOL FAR PASCAL ExtAllocateInfoDlgProc (HWND     hWnd,
                                        unsigned wMsgID,
                                        WORD     wParam,
                                        LONG     lParam);
 
BOOL FAR PASCAL SystemListProc (HWND     hWnd,
                                unsigned wMsgID,
                                WORD     wParam,
                                LONG     lParam);
 
BOOL FAR PASCAL FullSystemListProc (HWND     hWnd,
                                unsigned wMsgID,
                                WORD     wParam,
                                LONG     lParam);
 
BOOL FAR PASCAL DeallocateDlgProc (HWND     hWnd,
                                   unsigned wMsgID,
                                   WORD     wParam,
                                   LONG     lParam);
 
BOOL FAR PASCAL GetUserIDDlgProc (HWND     hWnd,
                                  unsigned wMsgID,
                                  WORD     wParam,
                                  LONG     lParam);
 
BOOL FAR PASCAL TakeMemDlgProc (HWND     hWnd,
                                unsigned wMsgID,
                                WORD     wParam,
                                LONG     lParam);
 
BOOL FAR PASCAL CustomDataDlgProc (HWND     hWnd,
                                   unsigned wMsgID,
                                   WORD     wParam,
                                   LONG     lParam);
 
BOOL FAR PASCAL CustomRcvDlgProc (HWND     hWnd,
                                  unsigned wMsgID,
                                  WORD     wParam,
                                  LONG     lParam);
 
BOOL FAR PASCAL GetCListDlgProc (HWND     hWnd,
                                 unsigned wMsgID,
                                 WORD     wParam,
                                 LONG     lParam);
 
BOOL FAR PASCAL A2eDlgProc (HWND     hWnd,
                            unsigned wMsgID,
                            WORD     wParam,
                            LONG     lParam);
 
BOOL FAR PASCAL LocationDlgProc (HWND     hWnd,
                                 unsigned wMsgID,
                                 WORD     wParam,
                                 LONG     lParam);
 
BOOL FAR PASCAL AboutDlgProc (HWND     hWnd,
                              unsigned wMsgID,
                              WORD     wParam,
                              LONG     lParam);
