/*------------------------------------------------------------------------*/
/* Define the patterns for receiving/sending data.                        */
/*    NOTE: if NO_BIG_PATTERNS is defined, patterns 7 and 8 are left      */
/*          to the caller to allocate.  This prevents the caller from     */
/*          having to compile as large model.                             */
/*------------------------------------------------------------------------*/
#define no_of_patterns 8
 
#define pattern_1_length   254      /* 0x00fe */
#define pattern_2_length   510      /* 0x01fe */
#define pattern_3_length  1918      /* 0x077e */
#define pattern_4_length  4094      /* 0x0ffe */
#define pattern_5_length  8190      /* 0x1ffe */
#define pattern_6_length 16382      /* 0x3ffe */
#define pattern_7_length 32765      /* 0x7ffd */
#define pattern_8_length 32765      /* 0x7ffd */
 
char pattern_1[pattern_1_length];
char pattern_2[pattern_2_length];
char pattern_3[pattern_3_length];
char pattern_4[pattern_4_length];
char pattern_5[pattern_5_length];
char pattern_6[pattern_6_length];
#ifndef NO_BIG_PATTERNS
char pattern_7[pattern_7_length];
char pattern_8[pattern_8_length];
#endif
 
char *pattern_buffer[no_of_patterns] = {
  pattern_1,
  pattern_2,
  pattern_3,
  pattern_4,
  pattern_5,
  pattern_6,
#ifndef NO_BIG_PATTERNS
  pattern_7,
  pattern_8
#endif
  };
 
int pattern_length[no_of_patterns] = {
  pattern_1_length,
  pattern_2_length,
  pattern_3_length,
  pattern_4_length,
  pattern_5_length,
  pattern_6_length,
  pattern_7_length,
  pattern_8_length
  };
 
void init_patterns(void)
{
  unsigned int i,j;
 
  for(i=0;i<pattern_1_length;pattern_1[i]=i%0x100,i++);
  for(i=0;i<pattern_2_length;pattern_2[i]=i%0x100,i++);
  for(i=0;i<pattern_3_length;pattern_3[i]=i%0x100,i++);
  for(i=0;i<pattern_4_length;pattern_4[i]=i%0x100,i++);
  for(i=pattern_5_length,j=0;i>0;pattern_5[j++]=--i%0x100);
  for(i=pattern_6_length,j=0;i>0;pattern_6[j++]=--i%0x100);
#ifndef NO_BIG_PATTERNS
  for(i=0;i<pattern_7_length;pattern_7[i]=(i%2?0x55:0xaa),i++);
  for(i=0;i<pattern_8_length;pattern_8[i]=(i%2?0xaa:0x55),i++);
#endif
}
